> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesimple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Retrieve the latest version of an agent or a specific version



## OpenAPI

````yaml GET /agents/{agent_id}
openapi: 3.1.0
info:
  title: Public API v1
  description: >-
    Public API v1 requiring API keys.


    **Timestamps:** All datetime fields in API responses are returned in UTC
    using ISO 8601 format (e.g., `2024-01-15T14:30:00Z`). When filtering by date
    parameters, provide timestamps in ISO 8601 format.
  version: 0.1.0
servers:
  - url: https://api.prod.usesimple.ai/api/v1
    description: Production API Server
security: []
paths:
  /agents/{agent_id}:
    get:
      tags:
        - Agents
      summary: Get Agent
      description: |-
        Get details for a specific agent.
        Only returns agents associated with the API key's account.
      operationId: get_agent_agents__agent_id__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AgentResponse:
      properties:
        prompt:
          type: string
          title: Prompt
        available_params:
          items:
            type: string
          type: array
          title: Available Params
          default: []
        name:
          type: string
          title: Name
          default: Agent
        first_sentence:
          type: string
          title: First Sentence
          description: The first sentence the agent will say when starting a call
        language:
          type: string
          title: Language
          description: The language the agent uses for calls
          enum:
            - en
            - es
        record:
          type: boolean
          title: Record
          description: Whether the agent's calls are recorded
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: integer
          title: Organization Id
        user_id:
          type: integer
          title: User Id
        analyzers:
          type: array
          title: Analyzers
          items:
            type: object
            required:
              - id
              - prompt
              - output_config
            properties:
              id:
                type: string
                format: uuid
                title: Id
              prompt:
                type: string
                title: Prompt
              output_config:
                type: object
                title: Output Config
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - prompt
        - id
        - organization_id
        - user_id
        - created_at
        - updated_at
        - analyzers
      title: AgentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````